version: 1

formatters:
  precise:
    format: '%(asctime)s - %(name)s - %(lineno)d - %(levelname)s - %(request)s - %(message)s'

filters:
  context:
    (): synapse.logging.context.LoggingContextFilter
    request: ''

handlers:
  console:
    class: logging.StreamHandler
    formatter: precise
    filters: [context]

loggers:
  synapse:
    level: INFO

  synapse.storage.SQL:
    # beware: increasing this to DEBUG will make synapse log sensitive
    # information such as access tokens.
    level: INFO

root:
  level: INFO
  handlers: [console]

disable_existing_loggers: false
